Name:          kdepim-runtime
Version:       4.13.1
Release:       1mamba
Summary:       KDE PIM Runtime Environment
Group:         Graphical Desktop/Applications/Office
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org/
Source:        ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kdepim-runtime-%{version}.tar.xz
Patch0:        kdepim-runtime-4.13.0-knotes-migrator.patch
License:       GPL
BuildRequires: cmake
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdepimlibs4-devel >= %{version}
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs4-devel
BuildRequires: kdepimlibs4-devel
BuildRequires: libakonadi-devel
BuildRequires: libgcc
BuildRequires: libqt4-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
BuildRequires: strigi-devel
## AUTOBUILDREQ-END
BuildRequires: libkolab-devel
BuildRequires: libkolabxml-devel
BuildRequires: libkgapi-devel
BuildRequires: libnepomuk-core-devel
BuildRequires: libaccounts-glib-devel
BuildRequires: libaccounts-qt-devel
Requires:      libqt4 >= %{_qt4_version}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%package devel
Summary:       Development files for for %{name}
Group:         Development/Applications
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains header files needed if you wish to build applications based on %{name}.

%prep
%setup -q
#%patch0 -p1

%build
%cmake_kde4 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
touch --no-create %{_kde4_icondir}/hicolor &>/dev/null
exit 0

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
   update-desktop-database -q &>/dev/null
   update-mime-database %{_kde4_mimedir} &>/dev/null
   touch --no-create %{_kde4_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde4_icondir}/hicolor &>/dev/null
fi
exit 0

%posttrans
update-desktop-database -q &>/dev/null
update-mime-database %{_kde4_mimedir} >&/dev/null
gtk-update-icon-cache %{_kde4_icondir}/hicolor &>/dev/null
exit 0

%files
%defattr(-,root,root)
%{_datadir}/dbus-1/interfaces/org.kde.Akonadi.MixedMaildir.Settings.xml
%{_kde4_autostartdir}/kaddressbookmigrator.desktop
%{_kde4_bindir}/accountwizard
#%{_kde4_bindir}/akonadi2xml
%{_kde4_bindir}/akonadi_*
%{_kde4_bindir}/akonaditray
%{_kde4_bindir}/gidmigrator
%{_kde4_bindir}/kaddressbookmigrator
%{_kde4_bindir}/kjotsmigrator
%{_kde4_bindir}/kmail-migrator
%{_kde4_bindir}/knotes-migrator
%{_kde4_bindir}/kres-migrator
#%{_kde4_bindir}/nepomukpimindexerutility
#%{_kde4_libdir}/libakonadi-xml.so.*
%{_kde4_libdir}/libkdepim-copy.so.*
%{_kde4_libdir}/libmaildir.so.*
%{_kde4_libdir}/libakonadi-filestore.so.*
%{_kde4_libdir}/libfolderarchivesettings.so.*
%{_kde4_libdir}/libkmindexreader.so.*
%{_kde4_libdir}/kde4/accountwizard_plugin.so
%{_kde4_libdir}/kde4/akonadi_*.so
%{_kde4_libdir}/kde4/kabc_akonadi.so
%{_kde4_libdir}/kde4/kcal_akonadi.so
%{_kde4_libdir}/kde4/kcm_akonadi_resources.so
%{_kde4_libdir}/kde4/kcm_akonadi_server.so
%{_kde4_libdir}/kde4/kcm_akonadi.so
%{_kde4_libdir}/kde4/kio_akonadi.so
%{_kde4_libdir}/kde4/imports/org/kde/*
%{_kde4_configdir}/kmail-migratorrc
%{_kde4_configdir}/kres-migratorrc
%{_kde4_configdir}/accountwizard.knsrc
%{_kde4_datadir}/akonadi/*
#%{_kde4_datadir}/akonadi_knut_resource/knut-template.xml
%{_kde4_datadir}/akonadi_kolabproxy_resource/akonadi_kolabproxy_resource.notifyrc
%{_kde4_datadir}/akonadi_maildispatcher_agent/akonadi_maildispatcher_agent.notifyrc
%{_kde4_datadir}/akonadi_newmailnotifier_agent/akonadi_newmailnotifier_agent.notifyrc
#%{_kde4_datadir}/nepomukpimindexerutility/nepomukpimindexerutility.rc
%{_kde4_dbusinterfacesdir}/org.kde.Akonadi.Maildir.Settings.xml
%{_kde4_icondir}/hicolor/*/apps/kolab.png
%{_kde4_icondir}/hicolor/*/apps/ox.png
%{_kde4_icondir}/hicolor/*/apps/akonaditray.png
%{_kde4_icondir}/hicolor/scalable/apps/akonaditray.svgz
%{_kde4_servicesdir}/akonadi/davgroupware-providers/*
%{_kde4_servicetypesdir}/davgroupwareprovider.desktop
%{_kde4_servicesdir}/akonadi.protocol
%{_kde4_servicesdir}/kcm_akonadi.desktop
%{_kde4_servicesdir}/kcm_akonadi_*.desktop
%{_kde4_servicesdir}/kresources/*/akonadi.desktop
#%{_kde4_servicesdir}/nepomukcalendarfeeder.desktop
#%{_kde4_servicesdir}/nepomukcontactfeeder.desktop
#%{_kde4_servicesdir}/nepomukmailfeeder.desktop
#%{_kde4_servicesdir}/nepomuknotefeeder.desktop
#%{_kde4_servicetypesdir}/akonadinepomukfeeder.desktop
#%{_kde4_sharedir}/ontology/kde/aneo.ontology
#%{_kde4_sharedir}/ontology/kde/aneo.trig
%{_kde4_sharedir}/akonadi/agents/*.desktop
%{_kde4_xdgappsdir}/accountwizard.desktop
%{_kde4_xdgappsdir}/akonaditray.desktop
%{_kde4_xdgmimedir}/kdepim-mime.xml
%{_kde4_xdgmimedir}/accountwizard-mime.xml
%{_kde4_kconfupdatedir}/newmailnotifier.upd
%doc COPYING COPYING.LIB

%files devel
%defattr(-,root,root,-)
%{_kde4_libdir}/lib*.so
#%{_kde4_libdir}/libnepomukfeederpluginlib.a

%changelog
* Sun May 25 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Mon Apr 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 4.13.0-2mamba
- patch to fix knotes migration to akonadi (see https://bugs.kde.org/show_bug.cgi?id=333640)

* Wed Apr 23 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Tue Apr 01 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Sun Dec 22 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Mon Dec 02 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11.3-2mamba
- rebuilt with boost 1.55

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Tue Oct 01 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Fri Aug 16 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Tue May 07 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Thu Feb 14 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Sat Dec 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.4-2mamba
- libboost 1.52 mass rebuild

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Wed Nov 07 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Fri Jun 08 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Fri May 04 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Fri Apr 06 2012 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Tue Mar 20 2012 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Sun Dec 11 2011 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Thu Nov 03 2011 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Tue Oct 11 2011 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic version update by autodist

* Thu Sep 08 2011 Automatic Build System <autodist@mambasoft.it> 4.7.1-1mamba
- automatic version update by autodist

* Mon Aug 08 2011 Automatic Build System <autodist@mambasoft.it> 4.7.0-1mamba
- update to 4.7.0

* Sat Jan 15 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.9-1mamba
- update to 4.4.9

* Sun Oct 24 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.4.7-1mamba
- update to 4.4.7

* Thu Sep 16 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.6-1mamba
- update to 4.4.6

* Wed Sep 08 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.5-2mamba
- rebuilt with kdelibs and kdepimlibs 4.5.1

* Thu Jul 01 2010 Automatic Build System <autodist@mambasoft.it> 4.4.5-1mamba
- automatic update to 4.4.5 by autodist

* Wed Jun 02 2010 Automatic Build System <autodist@mambasoft.it> 4.4.4-1mamba
- automatic update to 4.4.4 by autodist

* Mon May 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3-2mamba
- ... add a changelog entry

* Mon May 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3-1mamba
- update to 4.4.3

* Thu Apr 01 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.4.2-1mamba
- update to 4.4.2 (Codename "Colibri")

* Wed Mar 03 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.4.1-1mamba
- update to 4.4.1 (Codename "Clara")

* Wed Feb 10 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.4.0-1mamba
- update to 4.4.0 (Codename "Caikaku")

* Wed Feb 03 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.3.98-1mamba
- update to 4.3.98 (KDE Software Compilation 4.4 rc3 Codename "Coming Closer")

* Tue Feb 02 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.3.95-1mamba
- package created by autospec
